View Issue Details

IDProjectCategoryView StatusLast Update
14020Bug reports[All Projects] Survey designpublic2019-04-30 09:10
Reporteralenkovich Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14.x 
Summary14020: Subquestions GIDs not updated when moving between groups
Description

It seems that subquestions GIDs are not updated when changing question group.

As a consequence, group .lsg export is missing subquestions for questions that were moved between groups.

Single question export works because SQL condition is "WHERE parent_qid=$qid" but for group export condition depends on GID => "WHERE gid=$gid and parent_qid>0"

Steps To Reproduce
  1. Create two question groups A and B
  2. Create multiple choice question in group A
  3. Move that question into group B
  4. Export question (subquestions with inital GID)
  5. Export group (missing subquestions)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.1+180731
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql 5.0.12
Server OS (if known)Debian GNU Linux
Webserver software & version (if known)Apache 2.4.18
PHP Version7.0.30

Activities

guest

guest

2018-09-07 12:49

viewer   ~48987

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27908

Related Changesets

LimeSurvey: master 70b8ec37

2018-09-07 12:47:56

Dominik Vitt

Details Diff
Fixed issue 14020: Subquestions GIDs not updated when moving between groups Affected Issues
14020
mod - application/controllers/admin/database.php Diff File

Issue History

Date Modified Username Field Change
2018-08-31 02:23 alenkovich New Issue
2018-09-07 10:29 dominikvitt Assigned To => dominikvitt
2018-09-07 10:29 dominikvitt Status new => assigned
2018-09-07 10:36 dominikvitt Status assigned => confirmed
2018-09-07 12:49 Changeset attached => LimeSurvey master 70b8ec37
2018-09-07 12:49 guest Note Added: 48987
2018-09-07 12:49 guest Resolution open => fixed
2018-09-07 12:51 dominikvitt Status confirmed => resolved
2018-09-07 12:51 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed